# How to add tournaments

## Introduction

Adding tournaments is quick and easy! At the heart of it, we're really only adding a few pieces of information - a name for the tournament (to help identify it), the division played in, the number of players, and their names; everything else will (eventually) happen behind the scenes.


## Getting Started

Adding tournaments is currently an **administrator option only!** This means you'll be required to log-in with an account that has administrator-level access. *Note*: This is subject to change in the future, if necessary.

Once you are logged in, you can find the "ADD A TOURNEY" button at the bottom of the home page. This will take you directly to the form. You can also find it in the admin panel, currently under the "DATA MANAGEMENT" section.

## Filling it out

The form should be pretty self-explanitory! But in case you decide to be an idiot, here's a run-down of the options;

**Tournament name:** will be the primary way we'll identify tournaments. When players add game/replay data, they'll be given the chance to attach that game to a tournament, so it's wise to choose a name that makes sense. Standardising on a format is a good idea, like "1st Open Tourney Feb 25, 2025" is pretty idiot-proof for someone looking to upload a replay and a good example, whereas "KICKASS MONDAY TOURNEY ACTION!!!1!" might look and sound cool, but nobody is gonna know what game that was in a weeks' time (let alone a month, or a year).

**Tournament date:** it should default to "today", which I'm fairly sure is "server time" which will be UTC, so later (but before midnight) streams might need to keep an eye on that to make sure it's the right date before submitting. I *might* be able to set a time-zone on this if it becomes a problem.

**Division:** pick the division that the tourney was a part of.

**Players:** I wrote it out as "XvX" in the drop-down to fill it out and make it more readable.

**Best-of:** This currently has no use but I thought I would track it anyways. Might be useful for those *super close* matchups where everyone wants to keep going.

**Team name:** OPTIONAL, you can enter the name of the winning team here

**Roster:** Enter the names of the players here. **If** the person has been entered here before, **or** they have an account with us, they *should* show up in the auto-fill list. Pick the name on the list, it'll help keep people proper associated with tournaments. **IF THE PERSON IS NOT ON THE LIST** try to type it in as close to Rocket League as possible - their name will autofill for future entries, and will probably auto-associate to an account if one is created with the same name.

**Notes:** If you have any notes about the tournament, anything that might be out of the ordinary or unexpected, put them down here. Fairly soon I'll have pages setup to not only view, but edit the tournaments, I was originally thinking the notes could be a public-facing thing, but we can either keep it private or setup a second field for that

## Some Tips

- Fill out what you can *before* the tournament starts - when it's over, it'll be quicker to fill in the winners and file it off, getting ready for the next one.

- Take your time, filling in usernames will pop-up an autocomplete box, but might take a second. You're better to choose the auto-filled name so that stats are guaranteed associated to a user.
  
- I can edit the database by hand, and will be working on pages for the admin panel that will allow us to change the details on existing tourneys and such. If you don't get things entered 100% correctly, just let me know where you might have erred and we can fix whatever is necessary!

- If you have any problems, reach out to the devs and we'll try to help.